Subject: Re: In band signalling of PT

From: [email-masked]
Date: Wed, 13 Sep 2000 11:58:37 +0200

[email-masked] wrote:

> Folks,
>
> the recent discussion about the MPEG-4 ES payload brought up an
> issue that, IMHO, may be a shortcoming of current RTP and could
> easily be fixed.  This shortcoming is RTP's need for the out-of-band
> announcement/negotiation of parameters, including the PT.
>
> I wonder whether it may make sense to signal such information in-band
> as well, e.g. through sender reports or through special media packets.
> That would allow receivers to "tune" to RTP broadcasts with only
> IP/Port information (which could, for example, be owned by a TV station).
>
> Questions:
>
> a) Did I miss something in the current spec?  Is this already specified?

you can do that out of band using SAP with the config info in the
SAP packets

>
> b) Does such a scenario make sense?

Oh YES !

> Specifically, how do people think
>    to include session announcements in the media packetstream (or in
>    RTCP)?  I recall that some time ago there was some discussion
>    about architectural cleanness (it does / doesn't make sense to include
>    session info in the media stream).  What is the status of that?

I think config info in the media stream is not a very good idea,
design-wise, but it can be made to work, of course

>
> c) Would such an enhancement have any impact on the current MPEG
>    discussion? (IMHO not, but I may have missed something)
>

if I recap the MPEG-4 discussion the problem is that the data stream syntax
can (video) or cannot  (audio, other system stuff, ODs, BIFS) include config
info,
therefore we have an homogeneity problem for system/transport layers that
should be
media unaware

> Stephan

--
Philippe Gentric
Software Architect
PHILIPS DIGITAL NETWORKS
Broadcast & Internet Delivery Solutions
Laboratoires d'Electronique Philips
B.P. 15 - 22, Av. Descartes
94453 Limeil-Brevannes Cedex France
Phone  :   33 (0)1 45 10 68 12
Fax    :   33 (0)1 45 10 69 60
[email-masked]